# Interface methods for submodule: TimeVaryingVelocityFieldTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import VelocityFieldTransformProxy as _VelocityFieldTransformProxy


# Interface methods for class: TimeVaryingVelocityFieldTransform
class TimeVaryingVelocityFieldTransformProxy(_VelocityFieldTransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetModifiableTimeVaryingVelocityField(self):
		""""""
		...

	def GetTimeVaryingVelocityField(self):
		""""""
		...

	def SetTimeVaryingVelocityField(self, field) -> None:
		""""""
		...

	def IntegrateVelocityField(self) -> None:
		""""""
		...

